package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ContiOrdinanti.
 * @see sicura.entities.ContiOrdinanti
 * @author Hibernate Tools
 */
@Stateless
public class ContiOrdinantiHome {

	private static final Log log = LogFactory.getLog(ContiOrdinantiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ContiOrdinanti transientInstance) {
		log.debug("persisting ContiOrdinanti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ContiOrdinanti persistentInstance) {
		log.debug("removing ContiOrdinanti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ContiOrdinanti merge(ContiOrdinanti detachedInstance) {
		log.debug("merging ContiOrdinanti instance");
		try {
			ContiOrdinanti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ContiOrdinanti findById(Integer id) {
		log.debug("getting ContiOrdinanti instance with id: " + id);
		try {
			ContiOrdinanti instance = entityManager.find(ContiOrdinanti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
